import { GlobalStore } from "./state/globalStore.js";
import { ThreadStore } from "./index.js";
import { RunNodeResult } from "./types.js";
export declare function deepClone<T>(obj: T): T;
export declare function deepFreeze<T>(obj: T, seen?: WeakSet<object>): T;
export declare function extractResponse(rawValue: any, schema: any): any;
export declare function createReturnObject<T>({ result, globals, }: {
    result: {
        data: T;
        messages?: ThreadStore;
    };
    globals: GlobalStore;
}): RunNodeResult<T>;
export declare function updateTokenStats(args: {
    globals: GlobalStore;
    usage: any;
    cost: any;
}): void;
